Bug 90920 - pcmcia init script no longer works with 2.4.20-13.7
pcmcia init script no longer works with 2.4.20-13.7
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 91446 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 08:45 EDT by Jeff Jansen
Modified: 2007-04-18 12:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 06:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Jansen 2003-05-15 08:45:16 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1) 
 
Description of problem: 
The 2.4.20-13.7 version of the kernel (i686 at least) changed the pcmcia modules 
from /lib/modules/<version>/pcmcia (where it was my previous version) to 
/lib/modules/<version>/kernel/drivers/pcmcia.  As a result the /etc/init.d/pcmcia 
script no longer runs since it looks for "/lib/modules/`uname -r`/pcmcia". 
 
The pcmcia script needs to be changed or you need a symlink from 
/lib/modules/<version>/kernel/drivers/pcmcia to  /lib/modules/<version>/pcmcia 
 
Version-Release number of selected component (if applicable): 
kernel-2.4.20-13.7 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. install the 2.4.20-13.7 kernel 
2. run "service pcmcia start" and it dies with an error that 
"/lib/modules/2.4.20-13.7/pcmcia could not be found." 
    
 
Additional info:
Comment 1 Barry K. Nathan 2003-05-20 16:26:56 EDT
Actually, a symlink isn't the correct way to fix it as far as I can tell.

This is what I needed (for my boss's laptop at work) to give me a
/lib/modules/2.4.20-13.7/pcmcia that looked like the one from 2.4.18-27.7.x:

cd /lib/modules/2.4.20-13.7
mkdir pcmcia
cd pcmcia
for z in `find ../kernel/drivers -type d -name pcmcia`
do
    ln -s $z/* .
done

Comment 2 Joseph Kotran 2003-05-22 18:40:27 EDT
Hi,

I too experience this problem with the i586 kernel 2.4.20-13.7.  For me a
symbolic link  /lib/modules/2.4.20-13.7/pcmcia ->
/lib/modules/2.4.20-13.7/kernel/drivers/pcmcia is a valid work around.

Regards,

Joe Kotran, Lead Systems Administrator
Lockheed Martin
Advanced Technology Laboratories
Comment 3 Jeremy Dreese 2003-05-23 22:42:59 EDT
*** Bug 91446 has been marked as a duplicate of this bug. ***
Comment 4 Dean Straitiff 2003-05-27 19:27:36 EDT
I downloaded the kernel-source and recompiled it using make oldconfig to use 
the default settings and I have the pcmcia drivers in both 
/lib/modules/<version>/pcmcia and 
/lib/modules/<version>/kernel/drivers/net/pcmcia however it did get my pcmcia 
working again. Hope this helps. 
 
Dean Straitiff 
Comment 5 Maxim Iorsh 2003-05-30 04:55:35 EDT
I think, the kernel packager dropped /lib/modules/2.4.20-13.7/pcmcia directory
by mistake. Since this is a simple collection of links, I could copy it from
earlier kernel:

 cp -R /lib/modules/2.4.18-27.7.x/pcmcia /lib/modules/2.4.20-13.7/

and it fixed the problem.
Comment 6 Arjan van de Ven 2003-06-03 06:16:20 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html

Note You need to log in before you can comment on or make changes to this bug.